commit:     434ea14657a635360b4efb3a01ea7b5d0753a168
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  9 22:48:21 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar  9 22:49:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=434ea146

app-crypt/libmd: drop .la files with find, sync live

Closes: https://bugs.gentoo.org/775161
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/libmd/libmd-1.0.3.ebuild | 2 +-
 app-crypt/libmd/libmd-99999.ebuild | 8 +++-----
 2 files changed, 4 insertions(+), 6 deletions(-)

diff --git a/app-crypt/libmd/libmd-1.0.3.ebuild 
b/app-crypt/libmd/libmd-1.0.3.ebuild
index 8a326814c16..f4e3c0857bd 100644
--- a/app-crypt/libmd/libmd-1.0.3.ebuild
+++ b/app-crypt/libmd/libmd-1.0.3.ebuild
@@ -20,5 +20,5 @@ src_configure() {
 src_install() {
        default
 
-       rm "${ED}"/usr/$(get_libdir)/libmd.la || die
+       find "${ED}" -name '*.la' -delete || die
 }

diff --git a/app-crypt/libmd/libmd-99999.ebuild 
b/app-crypt/libmd/libmd-99999.ebuild
index c0ad8d6375b..b7ba4f0339b 100644
--- a/app-crypt/libmd/libmd-99999.ebuild
+++ b/app-crypt/libmd/libmd-99999.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+
 inherit autotools git-r3
 
 DESCRIPTION="Message Digest functions from BSD systems"
@@ -10,16 +11,13 @@ EGIT_REPO_URI="https://git.hadrons.org/git/libmd.git";
 
 LICENSE="|| ( BSD BSD-2 ISC BEER-WARE public-domain )"
 SLOT="0"
-KEYWORDS=""
-IUSE="static-libs"
 
 src_prepare() {
        default
-       eautoreconf
 }
 
 src_configure() {
-       econf $(use_enable static-libs static)
+       econf --disable-static
 }
 
 src_install() {

Reply via email to